> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch EndUser information

> Update the end user information



## OpenAPI

````yaml https://app.herondata.io/swagger patch /api/end_users/{end_user_id_or_heron_id}/end_user_information
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/end_user_information:
    patch:
      tags:
        - EndUsers
      summary: Patch EndUser information
      description: Update the end user information
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EndUserInformationPatchSchema'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndUserInformationSchema'
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EndUserInformationPatchSchema:
      properties:
        amount_requested:
          nullable: true
          type: number
        annual_revenue:
          nullable: true
          type: number
        business_start_date:
          format: date
          nullable: true
          type: string
        company_billing_address:
          $ref: '#/components/schemas/Address'
        company_email:
          nullable: true
          type: string
        company_legal_business_name:
          nullable: true
          type: string
        company_phone_number:
          nullable: true
          type: string
        company_physical_address:
          $ref: '#/components/schemas/Address'
        company_website:
          nullable: true
          type: string
        dba:
          description: Doing business as
          nullable: true
          type: string
        federal_tax_id:
          nullable: true
          type: string
        industry_type:
          nullable: true
          type: string
        loan_purpose:
          nullable: true
          type: string
        monthly_revenue:
          nullable: true
          type: number
        naics:
          nullable: true
          type: string
        owner_1:
          $ref: '#/components/schemas/Owner'
        owner_2:
          $ref: '#/components/schemas/Owner'
        predicted_industry_probability:
          nullable: true
          type: number
        source_email_address:
          nullable: true
          type: string
        source_name:
          nullable: true
          type: string
        source_notes:
          nullable: true
          type: string
        state_of_incorporation:
          nullable: true
          type: string
        type_of_business_entity:
          nullable: true
          type: string
      type: object
    EndUserInformationSchema:
      properties:
        amount_requested:
          nullable: true
          type: number
        annual_revenue:
          nullable: true
          type: number
        business_start_date:
          format: date
          nullable: true
          type: string
        company_billing_address:
          $ref: '#/components/schemas/Address'
        company_email:
          nullable: true
          type: string
        company_legal_business_name:
          nullable: true
          type: string
        company_phone_number:
          nullable: true
          type: string
        company_physical_address:
          $ref: '#/components/schemas/Address'
        company_website:
          nullable: true
          type: string
        dba:
          description: Doing business as
          nullable: true
          type: string
        federal_tax_id:
          nullable: true
          type: string
        industry_type:
          nullable: true
          type: string
        loan_purpose:
          nullable: true
          type: string
        monthly_revenue:
          nullable: true
          type: number
        naics:
          nullable: true
          type: string
        owner_1:
          $ref: '#/components/schemas/Owner'
        owner_2:
          $ref: '#/components/schemas/Owner'
        predicted_industry_probability:
          nullable: true
          type: number
        source_email_address:
          nullable: true
          type: string
        source_name:
          nullable: true
          type: string
        source_notes:
          nullable: true
          type: string
        source_type:
          description: Source of the end user information
          enum:
            - api
            - iso_application_form
            - heron_industry_classifier
            - rel6_industry_classifier
            - email
            - end_user_entities
          example: iso_application_form
          type: string
        state_of_incorporation:
          nullable: true
          type: string
        type_of_business_entity:
          nullable: true
          type: string
      type: object
    Address:
      properties:
        city:
          nullable: true
          type: string
        line_1:
          nullable: true
          type: string
        line_2:
          nullable: true
          type: string
        state:
          nullable: true
          type: string
        zip:
          nullable: true
          type: string
      type: object
    Owner:
      properties:
        credit_score:
          nullable: true
          type: integer
        date_of_birth:
          example: '1990-01-01'
          format: date
          nullable: true
          type: string
        email_address:
          nullable: true
          type: string
        first_name:
          nullable: true
          type: string
        has_signed:
          nullable: true
          type: boolean
        home_address:
          $ref: '#/components/schemas/Address'
        home_phone:
          nullable: true
          type: string
        last_name:
          nullable: true
          type: string
        mobile_phone:
          nullable: true
          type: string
        ownership_percentage:
          description: Percentage of ownership
          example: 100
          nullable: true
          type: number
        signed_date:
          format: date
          nullable: true
          type: string
        social_security_number:
          nullable: true
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````